Name:           fakesystemd
Version:        1
Release:        14%{?dist}
Summary:        Minimal docker-specific package to satisfy systemd Provides: without installing systemd.

License:        GPL+

Provides:	systemd = 209-15%{?dist}
Provides:	systemd-units = 209-15%{?dist}
Provides:   systemd-libs = 209-15%{?dist}
Provides:	udev = 209
Provides:   libgudev1 = 209-15%{?dist}
Provides:   libudev.so.1
Provides:   libudev.so.1(LIBUDEV_183)(64bit)
Provides:   libudev.so.1(LIBUDEV_199)(64bit)
Provides:   libudev.so.1()(64bit)

Source0:    macros.systemd


%description
%{summary}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/systemd %{buildroot}%{_sysconfdir}/systemd/system %{buildroot}%{_sysconfdir}/systemd/user %{buildroot}%{_sysconfdir}/tmpfiles.d %{buildroot}%{_sysconfdir}/sysctl.d %{buildroot}%{_sysconfdir}/modules-load.d %{buildroot}%{_sysconfdir}/binfmt.d %{buildroot}%{_sysconfdir}/udev %{buildroot}%{_sysconfdir}/udev/rules.d %{buildroot}%{_prefix}/lib/systemd %{buildroot}%{_prefix}/lib/systemd/system-generators %{buildroot}%{_prefix}/lib/systemd/user-generators %{buildroot}%{_prefix}/lib/systemd/system-preset %{buildroot}%{_prefix}/lib/systemd/user-preset %{buildroot}%{_prefix}/lib/systemd/system-shutdown %{buildroot}%{_prefix}/lib/systemd/system-sleep %{buildroot}%{_prefix}/lib/systemd/catalog %{buildroot}%{_prefix}/lib/systemd/ntp-units.d %{buildroot}%{_prefix}/lib/tmpfiles.d %{buildroot}%{_prefix}/lib/sysctl.d %{buildroot}%{_prefix}/lib/sysctl.d %{buildroot}%{_prefix}/lib/modules-load.d %{buildroot}%{_prefix}/lib/binfmt.d %{buildroot}%{_datadir}/systemd %{buildroot}%{_datadir}/pkgconfig %{buildroot}%{_localstatedir}/lib/systemd/catalog

install -Dpm 0644 %{SOURCE0} %{buildroot}%{_rpmconfigdir}/macros.d/macros.systemd


%files
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d
%dir %{_prefix}/lib/systemd
%dir %{_prefix}/lib/systemd/system-generators
%dir %{_prefix}/lib/systemd/user-generators
%dir %{_prefix}/lib/systemd/system-preset
%dir %{_prefix}/lib/systemd/user-preset
%dir %{_prefix}/lib/systemd/system-shutdown
%dir %{_prefix}/lib/systemd/system-sleep
%dir %{_prefix}/lib/systemd/catalog
%dir %{_prefix}/lib/systemd/ntp-units.d
%dir %{_prefix}/lib/tmpfiles.d
%dir %{_prefix}/lib/sysctl.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/binfmt.d
%dir %{_datadir}/systemd
%dir %{_datadir}/pkgconfig
%dir %{_localstatedir}/lib/systemd
%dir %{_localstatedir}/lib/systemd/catalog
%{_rpmconfigdir}/macros.d/macros.systemd

%changelog
* Fri May 30 2014 Václav Pavlín <vpavlin@redhat.com> - 1-14
- Fix type in Description

* Fri May 30 2014 Václav Pavlín <vpavlin@redhat.com> - 1-13
- Update Summary for the package

* Thu May 29 2014 Václav Pavlín <vpavlin@redhat.com> - 1-12
- Revert previous removal. Swap for the real systemd can be done
  with following command:
    yum swap -- remove fakesystemd -- install systemd systemd-libs

* Thu May 22 2014 Václav Pavlín <vpavlin@redhat.com> - 1-11
- Remove *udev provides to allow yum swap fakesystemd systemd

* Thu May 15 2014 Václav Pavlín <vpavlin@redhat.com> - 1-10
- Add systemd-libs provide

* Thu May 15 2014 Václav Pavlín <vpavlin@redhat.com> - 1-9
- Bump systemd version

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-8
- Add libudev.so.1()(64bit) to Provides

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-7
- Add libudev.so.1(LIBUDEV_183)(64bit) to Provides

* Thu May 01 2014 Václav Pavlín <vpavlin@redhat.com> - 1-6
- Add libudev.so.1 to Provides for util-linux

* Mon Apr 28 2014 Václav Pavlín <vpavlin@redhat.com> - 1-5
- Add libgudev1 to Provides
